summaryrefslogtreecommitdiffstats
path: root/abs/mv-core/MythVantage-system/restore_job.sh
diff options
context:
space:
mode:
Diffstat (limited to 'abs/mv-core/MythVantage-system/restore_job.sh')
-rwxr-xr-xabs/mv-core/MythVantage-system/restore_job.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/abs/mv-core/MythVantage-system/restore_job.sh b/abs/mv-core/MythVantage-system/restore_job.sh
new file mode 100755
index 0000000..0d0bec7
--- /dev/null
+++ b/abs/mv-core/MythVantage-system/restore_job.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+backupfile=$1
+. /etc/profile
+BACKUPDIR=/data/database_backup
+RESTOREDIR=$BACKUPDIR/restore
+DIR=`echo $backupfile |cut -d. -f2`
+CSQL="create database mythconverg;"
+DSQL="drop database mythconverg; "
+MYSQL="mysql -u mythtv -pmythtv"
+
+
+
+mkdir $RESTOREDIR
+cp $BACKUPDIR/$backupfile $RESTOREDIR
+cd $RESTOREDIR && tar -xvf $backupfile && cd $DIR
+
+if [ -f mythconverg ]
+then
+ #drop the db
+ $MYSQL -e "$DSQL"
+ #create the db
+ $MYSQL -e "$CSQL"
+ #restore the database_backup
+ echo "Restoring the database $DIR"
+ $MYSQL mythconverg < mythconverg
+ if [ $? = 0 ]
+ then
+ echo "Done"
+ else
+ echo "An error occured"
+ fi
+ else
+ echo "couldn't file a file to restore"
+fi
+
+
+#cleanup
+rm -rf $RESTOREDIR/$DIR
+rm -f $RESTOREDIR/$backupfile \ No newline at end of file